<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 11/15/2003 *
 * ===============                              Last change: 04/02/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-usage.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : Auto-detection of usage statistics               *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Automatische Erkennung der Aufrufstatistiken     *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!IS_ADMIN()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}
// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

OPEN_TABLE("100%", "admin_content admin_content_align", "");
$usage = "usage/";
if (!empty($_GET['image']))
{
	if ($_GET['type'] == "usage")
	{
		$file = PATH.$usage."usage.png";
	}
	 else
	{
		if (strpos($_GET['image'], "\\") > 0) $_GET['image'] = substr($_GET['image'], 0, strpos($_GET['image'], "\\"));
		$file = PATH.$usage.$_GET['type']."_usage_".$_GET['image'].".png";
	}
	if (file_exists($file))
	{
		$image = imagecreatefrompng($file);
		header("Content-type: image/png");
		imagepng($image);
		imagedestroy($image);
	}
	exit();
}
 elseif (empty($_GET['usage']))
{
	$file = PATH.$usage."index.html";
}
 else
{
	$file = sprintf("%s%susage_%s.html",
		PATH,
		$usage,
		SQL_ESCAPE($_GET['usage'])
	);
}
if ($file !="")
{
	if (file_exists($file) && is_readable($file))
	{
			$tmpl_file = implode("", file($file));
			$tmpl_file = addslashes($tmpl_file);
			$tmpl_file = "\$content=\"".$tmpl_file."\";";
			eval($tmpl_file);
			$content = str_replace("usage.png", URL."/modules.php?module=admin&amp;what=".$GLOBALS['what']."&type=usage&image=usage", $content);
			$content = str_replace("daily_usage_", URL."/modules.php?module=admin&amp;what=".$GLOBALS['what']."&type=daily&image=", $content);
			$content = str_replace("hourly_usage_", URL."/modules.php?module=admin&amp;what=".$GLOBALS['what']."&type=hourly&image=", $content);
			$content = str_replace("ctry_usage_", URL."/modules.php?module=admin&amp;what=".$GLOBALS['what']."&type=ctry&image=", $content);
			$content = str_replace("usage_", URL."/modules.php?module=admin&amp;what=".$GLOBALS['what']."&usage=", str_replace(".html", "", $content));
			// Disabled due to too much trouble
			//$content = str_replace("HREF=\"http://", "href=\"".URL."/modules.php?module=loader&amp;url=http://", $content);
			$test = strtolower($content);
			$body_start = strpos($test, "<body");
			$body_end   = strpos($test, "</body>");
			if (($body_start > 0) && ($body_end > 0))
			{
				$content = substr(substr($content, 0, $body_end), $body_start);
				$content = substr($content, strpos($content, ">") + 1);
				OUTPUT_HTML ("<DIV align=\"left\">
  ".$content."
</DIV>");
			}
	}
}
CLOSE_TABLE();
//
?>
